Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class SignerRole

    java.lang.Object
      org.etsi.uri._01903.v1_3.SignerRole

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:06:22+02:00",
               comments="JAXB RI v2.2.11")
    public class SignerRole

extends Object
implements Serializable

Java class for SignerRoleType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignerRoleType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ClaimedRoles" type="{http://uri.etsi.org/01903/v1.3.2#}ClaimedRolesListType" minOccurs="0"/>
             <element name="CertifiedRoles" type="{http://uri.etsi.org/01903/v1.3.2#}CertifiedRolesListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignerRole()`

Method Summary
`CertifiedRolesListType` | `getCertifiedRoles()` Gets the value of the certifiedRoles property.
`ClaimedRolesListType` | `getClaimedRoles()` Gets the value of the claimedRoles property.
`void` | `setCertifiedRoles(CertifiedRolesListType value)` Sets the value of the certifiedRoles property.
`void` | `setClaimedRoles(ClaimedRolesListType value)` Sets the value of the claimedRoles property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignerRole

    public SignerRole()

Method Detail

### getClaimedRoles

    public ClaimedRolesListType getClaimedRoles()

  Gets the value of the claimedRoles property.

  Returns:
    possible object is `ClaimedRolesListType`

### setClaimedRoles

    public void setClaimedRoles(ClaimedRolesListType value)

  Sets the value of the claimedRoles property.

  Parameters:
    `value` - allowed object is `ClaimedRolesListType`

### getCertifiedRoles

    public CertifiedRolesListType getCertifiedRoles()

  Gets the value of the certifiedRoles property.

  Returns:
    possible object is `CertifiedRolesListType`

### setCertifiedRoles

    public void setCertifiedRoles(CertifiedRolesListType value)

  Sets the value of the certifiedRoles property.

  Parameters:
    `value` - allowed object is `CertifiedRolesListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.